OK
Ink & Toner > HP > Laser / Copier / Fax / Toner Models> Color LaserJet Pro MFP M277dw

HP Laser / Copier / Fax / Toner Models Ink Cartridges for Color LaserJet Pro MFP M277dw

hp-color-laserjet-pro-mfp-m277dw (9 items found)
My Machines
"My Machine" Ink & Toner Results
With 'My Machines' you can save your home or office printer(s), meaning you'll never need to search for ink & toner again Bought your machine from Staples.co.uk? We instantly add the machine you purchased to My Machines when you place your order. You will see that machine displayed here.
Sort By:
Couldn`t create html file, error occurred: HTTPSConnectionPool(host='h15003.www1.hp.com', port=443): Max retries exceeded with url: //digmedialib/prodimg/lowres/c04591729.jpg%20 (Caused by NewConnectionError(': Failed to establish a new connection: [Errno 11004] getaddrinfo failed',)). Traceback (most recent call last): File "C:\Python\Anaconda3\lib\site-packages\requests\packages\urllib3\connection.py", line 141, in _new_conn (self.host, self.port), self.timeout, **extra_kw) File "C:\Python\Anaconda3\lib\site-packages\requests\packages\urllib3\util\connection.py", line 60, in create_connection for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM): File "C:\Python\Anaconda3\lib\socket.py", line 743, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno 11004] getaddrinfo failed During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:\Python\Anaconda3\lib\site-packages\requests\packages\urllib3\connectionpool.py", line 600, in urlopen chunked=chunked) File "C:\Python\Anaconda3\lib\site-packages\requests\packages\urllib3\connectionpool.py", line 345, in _make_request self._validate_conn(conn) File "C:\Python\Anaconda3\lib\site-packages\requests\packages\urllib3\connectionpool.py", line 844, in _validate_conn conn.connect() File "C:\Python\Anaconda3\lib\site-packages\requests\packages\urllib3\connection.py", line 284, in connect conn = self._new_conn() File "C:\Python\Anaconda3\lib\site-packages\requests\packages\urllib3\connection.py", line 150, in _new_conn self, "Failed to establish a new connection: %s" % e) requests.packages.urllib3.exceptions.NewConnectionError: : Failed to establish a new connection: [Errno 11004] getaddrinfo failed During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:\Python\Anaconda3\lib\site-packages\requests\adapters.py", line 438, in send timeout=timeout File "C:\Python\Anaconda3\lib\site-packages\requests\packages\urllib3\connectionpool.py", line 649, in urlopen _stacktrace=sys.exc_info()[2]) File "C:\Python\Anaconda3\lib\site-packages\requests\packages\urllib3\util\retry.py", line 388, in increment raise MaxRetryError(_pool, url, error or ResponseError(cause)) requests.packages.urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='h15003.www1.hp.com', port=443): Max retries exceeded with url: //digmedialib/prodimg/lowres/c04591729.jpg%20 (Caused by NewConnectionError(': Failed to establish a new connection: [Errno 11004] getaddrinfo failed',)) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:/Users/KhomykD/python/seo/seo_hp.py", line 80, in create_output_summary html_text = modify_html_and_push_to_ftp(domain, row, ftp_base_dir) File "C:/Users/KhomykD/python/seo/seo_hp.py", line 68, in modify_html_and_push_to_ftp img_name = seo.save_image(img_url, LOCAL_DIR, img_name_constructor) File "C:\Users\KhomykD\python\seo\seo.py", line 77, in save_image img_data = requests.get(a_url, stream= True).content File "C:\Python\Anaconda3\lib\site-packages\requests\api.py", line 72, in get return request('get', url, params=params, **kwargs) File "C:\Python\Anaconda3\lib\site-packages\requests\api.py", line 58, in request return session.request(method=method, url=url, **kwargs) File "C:\Python\Anaconda3\lib\site-packages\requests\sessions.py", line 518, in request resp = self.send(prep, **send_kwargs) File "C:\Python\Anaconda3\lib\site-packages\requests\sessions.py", line 661, in send history = [resp for resp in gen] if allow_redirects else [] File "C:\Python\Anaconda3\lib\site-packages\requests\sessions.py", line 661, in history = [resp for resp in gen] if allow_redirects else [] File "C:\Python\Anaconda3\lib\site-packages\requests\sessions.py", line 214, in resolve_redirects **adapter_kwargs File "C:\Python\Anaconda3\lib\site-packages\requests\sessions.py", line 639, in send r = adapter.send(request, **kwargs) File "C:\Python\Anaconda3\lib\site-packages\requests\adapters.py", line 502, in send raise ConnectionError(e, request=request) requests.exceptions.ConnectionError: HTTPSConnectionPool(host='h15003.www1.hp.com', port=443): Max retries exceeded with url: //digmedialib/prodimg/lowres/c04591729.jpg%20 (Caused by NewConnectionError(': Failed to establish a new connection: [Errno 11004] getaddrinfo failed',))

Recently Viewed

There are no recently viewed items

As you browse Staples.co.uk items you have viewed will be placed here.

loadingLoading...
Staples supplies both businesses and consumers. Prices are available both exclusive and inclusive of VAT.